XScreenSaver(1)

NAME
skytentacles - 3D tentacles from the sky!

SYNOPSIS
skytentacles [-display host:display.screen] [-visual visual] [-window] [-root] [-delay int] [-speed ratio] [-count int] [-slices int] [-length float] [-wiggliness ratio] [-flexibility ratio] [-color color] [-stripe-color color] [-sucker-color color] [-segments int] [-thickness ratio] [-no-smooth] [-fps]

DESCRIPTION
There is a tentacled abomination in the sky. From above you it devours.

OPTIONS

-visual visual
    Specify which visual to use. Legal values are the name of a visual class, or the id number (decimal or hex) of a specific visual.

-window
    Draw on a newly-created window. This is the default.

-root
    Draw on the root window.

-delay int
    Delay between frames, in microseconds. Default 30000.

-speed ratio
    Less than 1 for slower, greater than 1 for faster. Default 1.

-count int
    How many tentacles. Default 8.

-thickness ratio
    Less than 1 for thinner tentacles, greater than 1 for thicker. Default 1.

-length ratio
    Length of the tentacles. Default 9.

-wiggliness ratio
    A measure of how bendy the tentacles are. Smaller numbers result in smoother flexing; larger numbers make it "crinkly". Default 0.35.

-flexibility ratio
    Another measure of how bendy the tentacles are. Smaller numbers result in straighter tentacles; larger numbers result in more extreme curves. Default 0.35.

-color color

-stripe-color color

-sucker-color color
    The colors of the various parts of the tentacle. Default green with a redish stripe.

-slices int

-segments int
    Larger numbers increase number of polygons in the object mesh. Default 32.

-no-smooth
    Make the tentacles appear faceted instead of smooth.

-fps
    Display the current frame rate, CPU load, and polygon count.

ENVIRONMENT

DISPLAY
    to get the default host and display number.

XENVIRONMENT
    to get the name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

SEE ALSO
X(1), xscreensaver(1)

COPYRIGHT
Copyright © 2008 by Jamie Zawinski. Permission to use, copy, modify, distribute, and sell this software and its documentation for any purpose is hereby granted without fee, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation. No representations are made about the suitability of this software for any purpose. It is provided "as is" without express or implied warranty.

AUTHOR
Jamie Zawinski.